ru.bitel.bgbilling.modules.drwebn.server.tasks

## Class CalculatorUtils

- java.lang.Object
- - ru.bitel.bgbilling.modules.drwebn.server.tasks.CalculatorUtils

-     public class CalculatorUtils
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalculatorUtils(java.sql.Connection con, int mid, java.util.Calendar startMonth, ru.bitel.bgbilling.modules.drwebn.server.tariff.DrWebNTariffContext context, ServiceCostCache costCache)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isCurrentDayStatus(DrwebAgentStatus status, java.util.Calendar day)`
    `static boolean` | `isStartDayStatus(DrwebAgentStatus status)`
    `java.lang.String` | `processStatus(DrwebAgent agent, DrwebAgentStatusBase agentStatus, java.util.Date day)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CalculatorUtils

          public CalculatorUtils(java.sql.Connection con,
                                 int mid,
                                 java.util.Calendar startMonth,
                                 ru.bitel.bgbilling.modules.drwebn.server.tariff.DrWebNTariffContext context,
                                 ServiceCostCache costCache)
                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### processStatus

          public java.lang.String processStatus(DrwebAgent agent,
                                                DrwebAgentStatusBase agentStatus,
                                                java.util.Date day)
                                         throws java.sql.SQLException,
                                                ru.bitel.bgbilling.common.BGException

      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### isCurrentDayStatus

          public static boolean isCurrentDayStatus(DrwebAgentStatus status,
                                                   java.util.Calendar day)

    - #### isStartDayStatus

          public static boolean isStartDayStatus(DrwebAgentStatus status)